Subject: Re: bug#64391: buffer narrowing slowdown regression in emacs 29

From: Mattias Engdegård <[email-masked]>
Date: Fri, 7 Jul 2023 18:49:56 +0200

7 juli 2023 kl. 14.50 skrev Eli Zaretskii <[email-masked]>:

>>> I was considering applying only the first of Gregory's patches,
>>> without the second.  WDYT?
>> 
>> I don't think that makes much sense -- the division between the two is pretty much artificial.
> 
> It makes sense to me, because it minimizes changes in the code, which
> at this stage in the pretest is something very important, IMO.

Oh, I certainly appreciate the importance of conservatism in changes on the release branch, but sensibly so -- it's not a game of code golf. Only applying half of the intended change leaves the code in an ugly state, and does in fact not minimise risk at all, quite the opposite.